Debian Bug report logs - #647402
live-build: Check version of dpkg before activating 'unsafe-io'

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Neil Wilson <neil@aldur.co.uk>

Date: Wed, 2 Nov 2011 10:09:01 UTC

Severity: normal

Tags: patch

Found in version 3.0

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#647402; Package live-build. (Wed, 02 Nov 2011 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Wilson <neil@aldur.co.uk>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 02 Nov 2011 10:09:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Wilson <neil@aldur.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: Check version of dpkg before activating 'unsafe-io'
Date: Wed, 02 Nov 2011 10:05:45 +0000
Package: live-build
Version: 3.0
Severity: normal
Tags: patch


-- System Information:
Debian Release: squeeze/sid
  APT prefers natty-updates
  APT policy: (500, 'natty-updates'), (500, 'natty-security'), (500, 'natty')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-12-generic (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

The dpkg in the chroot (on a lucid build for example) might not be new enough to handle the 'unsafe-io' option set in the configuration file.

lb_chroot_dpkg should check the chroot's dpkg capability first

See https://bugs.launchpad.net/ubuntu/+source/live-build/+bug/882670




Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Wed, 02 Nov 2011 12:36:03 GMT) Full text and rfc822 format available.

Notification sent to Neil Wilson <neil@aldur.co.uk>:
Bug acknowledged by developer. (Wed, 02 Nov 2011 12:36:45 GMT) Full text and rfc822 format available.

Message #10 received at 647402-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Neil Wilson <neil@aldur.co.uk>, 647402-done@bugs.debian.org
Subject: Re: Bug#647402: live-build: Check version of dpkg before activating 'unsafe-io'
Date: Wed, 02 Nov 2011 13:33:39 +0100
On 11/02/2011 11:05 AM, Neil Wilson wrote:
> The dpkg in the chroot (on a lucid build for example) might not be new enough to handle the 'unsafe-io' option set in the configuration file.
>
> lb_chroot_dpkg should check the chroot's dpkg capability first

first, let me reassure that there's no contra-ubuntu attitude here and 
we encourage people from debian derivatives and forks to use live-build, 
it's an important use case for live-build. we also very much welcome 
getting things required for derivatives and forks integrated 
into/implemented in live-build itself and avoid the need of local 
patches by having them all mainlined.

having said that..

  * live-build is oriented on debian, means, in general, in order to
    not have too much hacks and workarounds for $whatever distribution,
    live-build 3.x is targeted for wheezy but providing legacy support
    for squeeze. oiow: whatever is necessary in order to make squeeze
    and newer distributions work as a build *target*, we make sure it's
    in live-build. see also http://live.debian.net/project/lifespan/
    (to avoid misunderstandings, that is unrelated to the build *host*
    requirements, that is, still, supposedly to be any linux-2.6 based
    distribution.)

  * since most people working on live-build are building debian or
    derivatives, and we ourselfs don't test live-build regularily for
    building ubuntu, we relay on people using/from ubuntu to send
    patches. that means, ubuntu support in live-build is from a debian
    point of view 'best effort'.

  * lucid, although being as a LTS release still supported until april
    2015, it's not the default ubuntu release in live-build 3.x
    (that being oneiric atm).

  * ubuntu switched to use live-build as of oneiric, for any previous
    release, the official build method is to use livecd-rootfs,

therefore, eventhough it might look stupid to not apply such a two line 
patch, i prefere to keep being able to draw the clear line of 'squeeze 
and newer'.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 01 Dec 2011 07:33:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:26:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.